%define oname xapian-core
%define major 22
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Open Source Search Engine Library
Name:           xapian
Version:	1.2.24
Release:        %mkrel 1
License:	GPLv2+
Group:		Databases
URL:		http://www.xapian.org/
Source0:	http://www.oligarchy.co.uk/xapian/%{version}/%{oname}-%{version}.tar.xz
BuildRequires:	zlib-devel
BuildRequires:	libuuid-devel
Obsoletes:	%{oname}

%description
Xapian is an Open Source Search Engine Library, released under the 
GPL. It's written in C++, with bindings to allow use from Perl, 
Python, PHP, Java, Tcl, C#, and Ruby (so far!)

Xapian is a highly adaptable toolkit which allows developers to easily
add advanced indexing and search facilities to their own applications. 
It supports the Probabilistic Information Retrieval model and also 
supports a rich set of boolean query operators.

%files
%{_bindir}/copydatabase
%{_bindir}/delve
%{_bindir}/quest
%{_bindir}/simpleexpand
%{_bindir}/simpleindex
%{_bindir}/simplesearch
%{_bindir}/xapian-compact
%{_bindir}/xapian-check
%{_bindir}/xapian-progsrv
%{_bindir}/xapian-tcpsrv
%{_bindir}/xapian-inspect
%{_bindir}/xapian-chert-update
%{_bindir}/xapian-metadata
%{_bindir}/xapian-replicate
%{_bindir}/xapian-replicate-server
%{_mandir}/man1/*

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Obsoletes:	%mklibname %{name} 14
Obsoletes:	%mklibname %{oname} 22

%description -n %{libname}
Libraries for %{name}.

%files -n %{libname}
%{_libdir}/libxapian.so.%{major}{,.*}
%ifarch %{ix86}
%{_libdir}/sse2/libxapian.so.%{major}{,.*}
%endif

#--------------------------------------------------------------------

%package  -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Databases
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%mklibname %{name} 14 -d
Obsoletes:	%mklibname %{name} 15 -d
Obsoletes:	%mklibname %{oname} -d

%description -n %{develname}
Header files for %{name}.

%files  -n %{develname}
%{_bindir}/xapian-config
%doc %{_docdir}/%{oname}/
%dir %{_includedir}/xapian
%{_includedir}/xapian/*.h
%{_includedir}/*.h
%{_datadir}/aclocal/xapian.m4
%{_libdir}/libxapian.so
%{_libdir}/cmake/xapian/xapian-config-version.cmake
%{_libdir}/cmake/xapian/xapian-config.cmake
%{_libdir}/libxapian.a 
%{_libdir}/libxapian.la
%{_libdir}/pkgconfig/xapian-core.pc

#--------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build

# (lm) Xapian default to using SSE2 maths on x86 (mga#15457, mga#15578)
# upstream recommends to build two versions of the library (like Debian):
# non-SSE2 installed in /usr/lib & SSE2 installed in /usr/lib/sse2
# http://trac.xapian.org/wiki/PackagingXapian

%ifarch %{ix86}
%__mkdir_p build-%{_target_cpu}
pushd build-%{_target_cpu}
CONFIGURE_TOP=.. %configure2_5x --disable-sse
%make_build
popd

%__mkdir_p build-sse2
pushd build-sse2
CONFIGURE_TOP=.. %configure2_5x --disable-static
%make_build
popd

%else
%configure2_5x
%make_build
%endif

%install
%ifarch %{ix86}
%make_install -C build-%{_target_cpu}

%__make -C build-sse2 DESTDIR=%{buildroot}/sse2 install
%__mkdir_p %{buildroot}/%{_libdir}/sse2
%__mv %{buildroot}/sse2/%{_libdir}/libxapian.so.* %{buildroot}/%{_libdir}/sse2
%__rm -rf %{buildroot}/sse2
%else
%make_install
%endif



%changelog
* Mon Dec 05 2016 luigiwalser <luigiwalser> 1.2.24-1.mga6
+ Revision: 1072661
- 1.2.24

* Fri Jul 08 2016 ngompa <ngompa> 1.2.23-1.mga6
+ Revision: 1039818
- Upgrade to 1.2.23, obsolete xapian-core

* Sat Jan 02 2016 luigiwalser <luigiwalser> 1.2.22-1.mga6
+ Revision: 918476
- 1.2.22

* Thu Aug 27 2015 cjw <cjw> 1.2.12-9.mga6
+ Revision: 870113
- rebuild with gcc 5

* Fri Apr 10 2015 lmenut <lmenut> 1.2.12-8.mga5
+ Revision: 820037
- bump release to submit to core/release

* Fri Mar 27 2015 lmenut <lmenut> 1.2.12-7.mga5
+ Revision: 819320
- build non-SSE2 & SSE2 optimized xapian library on x86 (mga#15457, mga#15578)

* Wed Oct 15 2014 umeabot <umeabot> 1.2.12-6.mga5
+ Revision: 750688
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.12-5.mga5
+ Revision: 690539
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.12-4.mga4
+ Revision: 520361
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.2.12-3.mga3
+ Revision: 386414
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 20 2012 malo <malo> 1.2.12-2.mga3
+ Revision: 308557
- update RPM group

* Thu Sep 13 2012 dmorgan <dmorgan> 1.2.12-1.mga3
+ Revision: 293572
- New version

* Sun Jul 17 2011 dmorgan <dmorgan> 1.2.6-2.mga2
+ Revision: 125559
- Really fix file list
- Fix file list
- la file is required here

* Sun Jul 17 2011 dmorgan <dmorgan> 1.2.6-1.mga2
+ Revision: 125528
- Fix file lists

  + ennael <ennael>
    - clean spec file
    - update to 1.2.6
    - remove buildroot definition
    - imported package xapian

